.talent__block {
    display: inline-block;
    background-color: black;
    color: white;

    border-radius: 15px;
    height: 3em;
    width: fit-content;
    min-width: 25em;

    font-size: 1em;
    position: relative;
    cursor: pointer;

    margin-bottom: .8em;
}

.talent__info {
    margin-top: -1.2em !important;
    border-radius: 15px;
    min-height: 10em;
    height: fit-content;
    width: 25em;
    z-index: -999;
}

.talent__block img {
    width: 2em;
    height: 2em;
    position: absolute;
    top: 0;
    left: 1em;
    bottom: 0;
    margin: auto;
}

.talent__block-inner {
    padding-top: .75em;
    padding-left: 4em;
    padding-right: 2em;
}

@keyframes spells-animation {
    0% { transform: translateX(0px); }
    100% { transform: translateX(500px); }
}
@keyframes spells-animation-back {
    0% { transform: translateX(500px); }
    100% { transform: translateX(0px); }
}
@keyframes talents-animation {
    0% { transform: translateX(0px); }
    100% { transform: translateX(-500px); }
}
@keyframes talents-animation-back {
    0% { transform: translateX(-500px); }
    100% { transform: translateX(0px); }
}
.spells-animate {
    animation-name: spells-animation;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

.spells-animate-back {
    animation-name: spells-animation-back;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

.talents-animate {
    animation-name: talents-animation;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

.talents-animate-back {
    animation-name: talents-animation-back;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

#all-spells-column {
    margin-top: 1rem;
    position: absolute;
    min-width: 30em;
}

#all-talents-column {
    margin-top: 1rem;
    position: absolute;
    min-width: 30em;
    right: 4em;
}

.text--gray { color: gray !important; }
.ui.progress { width: 100px; display: inline-block; }
/*.ui.progress:last-child { margin: 1em 0 2.5em; }*/

/* NORMAL ERROR STYLES */
.ui.progress .bar { min-width: 0 !important; }

.ui.form .field.error label {
    color: #9f3a38 !important;
}
.ui.form .field.error input {
    background: #fff6f6 !important;
    border-color: #e0b4b4 !important;
    color: #9f3a38 !important;
}
.ui.error.message {
    background-color: #fff6f6 !important;
    color: #9f3a38 !important;
}
.ui.error.message .header {
    color: #912d2b !important;
}